USRP Hardware Driver and USRP Manual: uhd::rfnoc::blockdef::arg_t Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
uhd::rfnoc::blockdef::arg_t Class Reference

Describes arguments in a block definition. More...

`#include <uhd/rfnoc/blockdef.hpp>`

Inheritance diagram for uhd::rfnoc::blockdef::arg_t:

## Public Member Functions
| arg_t ()
bool | is_valid () const
| Basic validity check of this argument definition.
std::string | to_string () const
| Returns a string with the most important keys.
Public Member Functions inherited from uhd::dict< std::string, std::string >
| dict (void)
| dict (InputIterator first, InputIterator last)
std::size_t | size (void) const
std::vector< std::string > | keys (void) const
std::vector< std::string > | vals (void) const
bool | has_key (const std::string &key) const
const std::string & | get (const std::string &key, const std::string &other) const
const std::string & | get (const std::string &key) const
void | set (const std::string &key, const std::string &val)
const std::string & | operator[] (const std::string &key) const
std::string & | operator[] (const std::string &key)
bool | operator== (const dict< std::string, std::string > &other) const
bool | operator!= (const dict< std::string, std::string > &other) const
std::string | pop (const std::string &key)
void | update (const dict< std::string, std::string > &new_dict, bool fail_on_conflict=true)
| operator std::map< std::string, std::string > () const
| dict (void)
| dict (InputIterator first, InputIterator last)
std::size_t | size (void) const
std::vector< std::string > | keys (void) const
std::vector< std::string > | vals (void) const
bool | has_key (const std::string &key) const
const std::string & | get (const std::string &key, const std::string &other) const
const std::string & | get (const std::string &key) const
void | set (const std::string &key, const std::string &val)
const std::string & | operator[] (const std::string &key) const
std::string & | operator[] (const std::string &key)
bool | operator== (const dict< std::string, std::string > &other) const
bool | operator!= (const dict< std::string, std::string > &other) const
std::string | pop (const std::string &key)
void | update (const dict< std::string, std::string > &new_dict, bool fail_on_conflict=true)
| operator std::map< std::string, std::string > () const

## Static Public Attributes
static const device_addr_t | ARG_ARGS
| A list of args an argument can have.
static const std::set< std::string > | VALID_TYPES

## Detailed Description

Describes arguments in a block definition.

## Constructor & Destructor Documentation

## ◆ arg_t()

uhd::rfnoc::blockdef::arg_t::arg_t | ( |  | ) |

## Member Function Documentation

## ◆ is_valid()

bool uhd::rfnoc::blockdef::arg_t::is_valid | ( |  | ) | const

Basic validity check of this argument definition.

## ◆ to_string()

std::string uhd::rfnoc::blockdef::arg_t::to_string | ( |  | ) | const

Returns a string with the most important keys.

## Member Data Documentation

## ◆ ARG_ARGS

const device_addr_t uhd::rfnoc::blockdef::arg_t::ARG_ARGS
| static

A list of args an argument can have.

## ◆ VALID_TYPES

const std::set<std::string> uhd::rfnoc::blockdef::arg_t::VALID_TYPES
| static

The documentation for this class was generated from the following file:

- blockdef.hpp